For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set AI option status

Enable or disable an AI option for the Hostinger Tools plugin on the specified WordPress installation.

Set AI option status

patch

Enable or disable an AI option for the Hostinger Tools plugin on the specified WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
optionstring · enumRequired

AI option name

Example: llmstxtPossible values:
enablebooleanRequired

Enable (true) or disable (false) the AI option.

Example: true
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
patch/api/hosting/v1/accounts/{username}/wordpress/{software}/hostinger-plugins/ai-option/status
PATCH /api/hosting/v1/accounts/{username}/wordpress/{software}/hostinger-plugins/ai-option/status HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "option": "llmstxt",
  "enable": true
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?